Get Active Organisation
curl --request GET \
--url https://platform.versori.com/api/organisations/v1/active-organisation \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.versori.com/api/organisations/v1/active-organisation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.versori.com/api/organisations/v1/active-organisation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"slug": "<string>",
"displayName": "<string>",
"owner": "<string>",
"billing": {
"platformId": "<string>",
"customerId": "<string>",
"billingEmail": "<string>",
"isSubscriptionActive": 123,
"billingPeriodStart": "2023-12-25",
"billingPeriodEnd": "2023-12-25",
"platformType": "<string>",
"subscriptionId": "<string>",
"recentSubscriptions": [
{
"id": "<string>",
"rawData": "<unknown>"
}
],
"hasMoreSubscriptions": true,
"freeTrialEndDate": "2023-12-25",
"isBespoke": true,
"boardQuota": 123,
"hubBoardQuota": 123
},
"systemServiceAccountClientID": "<string>",
"plan": "<string>"
}{
"code": "<string>",
"message": "<string>",
"cause": "<string>"
}API Reference
Get Active Organisation
GetActiveOrganisation returns the active Organisation for the current user.
GET
/
active-organisation
Get Active Organisation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
OK
Billing contains information about the billing status of an Organisation.
Show child attributes
Show child attributes
SystemServiceAccountClientID is the client ID of the system service account for this Organisation. This is automatically created when the Organisation is created and is used by internal services which must authenticate on behalf of the Organisation. It cannot be deleted.
Subscription plan the organisation is enrolled.
⌘I